# Class WeakTableColumnModelListener

java.lang.Object
uk.ac.starlink.util.gui.WeakTableColumnModelListener

All Implemented Interfaces:
  `EventListener, TableColumnModelListener`

public class WeakTableColumnModelListener extends Object implements TableColumnModelListener
Table column model listener which delegates to another one as long as it is reachable, but only retains a weak reference to it. Adding a listener to an object in this way will not prevent the listener (and any of its references) from being garbage collected.

Since:
  20 Jan 2005
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`WeakTableColumnModelListener(TableColumnModelListener base)`
Constructs a new listener based on an existing one.

## Method Summary

Modifier and Type
Method
Description
`void`
`columnAdded(TableColumnModelEvent evt)`
`void`
`columnMarginChanged(ChangeEvent evt)`
`void`
`columnMoved(TableColumnModelEvent evt)`
`void`
`columnRemoved(TableColumnModelEvent evt)`
`void`
`columnSelectionChanged(ListSelectionEvent evt)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeakTableColumnModelListener

public WeakTableColumnModelListener(TableColumnModelListener base)
Constructs a new listener based on an existing one.

Parameters:
  `base` - listener

## Method Details

### columnAdded

public void columnAdded(TableColumnModelEvent evt)

Specified by:
  `columnAdded` in interface `TableColumnModelListener`

### columnRemoved

public void columnRemoved(TableColumnModelEvent evt)

Specified by:
  `columnRemoved` in interface `TableColumnModelListener`

### columnMoved

public void columnMoved(TableColumnModelEvent evt)

Specified by:
  `columnMoved` in interface `TableColumnModelListener`

### columnMarginChanged

public void columnMarginChanged(ChangeEvent evt)

Specified by:
  `columnMarginChanged` in interface `TableColumnModelListener`

### columnSelectionChanged

public void columnSelectionChanged(ListSelectionEvent evt)

Specified by:
  `columnSelectionChanged` in interface `TableColumnModelListener`